<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Form work1</title>
  <script>
    /*
      Задание:

      1. Сгенерировать список стран в Select countries
      2. При выборе страны генерировать еще один Select со списком
        городов этой страны и вывести этот селект в блок result
      3. При выборе города нужно случайно рандомить температуру от
      -10 градусов до +40. Если температура

        -10 до 0 то 'Солнечно' 'Легкий снегопад' 'Сильный снегопад'
        0 до 30 то  'Солнечно' 'Дождь' 'Ветер' 'Сильный дождь'
        30 до 40 то 'Солнечно' 'Засуха' 'Ветер'

      4. Вывести сообщение на страничку
        {Country}. В {City} {Weather} {Temperature} градусов.
        Ukraine. В Kyiv Солнечно -10 градусов

        + бонус добавить красивые картинки с погодой
    */
    window.addEventListener("load", function () {
      var countries = ['Ukraine', 'Poland', 'USA'];
      var ukraineCity = ['Kyiv', 'Lviv', 'Odesa', 'Charkiv'];
      var polandCity = ['Warszawa', 'Poznan', 'Krakow', 'Katowice'];
      var usaCity = ['New York', 'Los Angeles', 'Las Vegas', 'Chicago'];
      const arr1 = ['Солнечно','Легкий снегопад','Сильный снегопад'];
      const arr2 = ['Солнечно','Дождь','Ветер','Сильный дождь'];
      const arr3 = ['Солнечно','Засуха','Ветер'];

      const countriesSelect = document.getElementById('countries');
      const result = document.getElementById('result');
      
      function randomItem(items) {
        return items[Math.floor(Math.random()*items.length)];  
      }

      countries.forEach( function(item, key){
        let option = new Option(item, item.toLocaleLowerCase());
        countriesSelect.appendChild(option);
      });
      
      countriesSelect.addEventListener('change', function(e){
        if(undefined !== countriesSelect.nextSibling && countriesSelect.nextSibling.className === 'cities' ){
          countriesSelect.nextSibling.remove();
        }
        switch(e.target.value){
          case 'ukraine':
            createCitySelect(ukraineCity);
            break;
          case 'poland':
            createCitySelect(polandCity);  
            break;
          case 'usa':
            createCitySelect(usaCity);  
            break;    
        }
        countriesSelect.nextSibling.addEventListener('change', function(e){
          console.log(this.parentElement.firstElementChild.value);
          result.insertAdjacentHTML('beforeend', `
            <div>${capitalizeFirstLetter(this.parentElement.firstElementChild.value)}. 
            В ${capitalizeFirstLetter(e.target.value)} ${showWeather(randomTemperature())}</div>
          `);
        });
      });
  
      function createCitySelect(citiesArray){
        const citySelect = document.createElement('select');
        citySelect.className = 'cities';
        citiesArray.forEach( function(item, key){
          let option = new Option(item, item.toLocaleLowerCase());
          citySelect.appendChild(option);
        });
        countriesSelect.insertAdjacentElement('afterend', citySelect);
      }

      function randomTemperature(){
        const min = -10;
        const max = 40;
        let rand = min + Math.random() * (max + 1 - min);
        return Math.floor(rand);
      }

      function showWeather(temp){
        let show ='';
        console.log(temp);
          if (temp < 0) {
            show = `${randomItem(arr1)}, ${temp} градусов.`;
          } else if (30 >= temp > 0) {
            show = `${randomItem(arr2)}, ${temp} градусов.`;
          } else {
            show = `${randomItem(arr3)}, ${temp} градусов.`;
          }
  
        return show;
      }

      function capitalizeFirstLetter(string){
        return string[0].toUpperCase() + string.slice(1);
      }
      
    });
  </script>
</head>
<body>
  <select id="countries">
    <option selected disabled>Choose</option>
  </select>
  <div id="result"></div>
  
</body>
</html>
